Bug 1095844 (CVE-2014-3225) - CVE-2014-3225 cobbler: local file inclusion over remote installs
Summary: CVE-2014-3225 cobbler: local file inclusion over remote installs
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-3225
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1095845 1095846
Blocks: 1103364
TreeView+ depends on / blocked
 
Reported: 2014-05-08 16:05 UTC by Vincent Danen
Modified: 2019-09-29 13:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-31 01:15:37 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-05-08 16:05:17 UTC
It was reported [1] that Cobbler suffers from a local file inclusion vulnerability where a remote user able to access the Cobbler WebUI could specify a full path to any desired file in the Kickstart value, and view the contents of that file.  For instance, by specifying '/etc/passwd' as the Kickstart value, a remote user could view the contents of that (or any other protected local file) on the system.

There is currently no upstream fix available.

[1] https://github.com/cobbler/cobbler/issues/939

Comment 1 Vincent Danen 2014-05-08 16:06:07 UTC
Created cobbler tracking bugs for this issue:

Affects: fedora-all [bug 1095845]
Affects: epel-all [bug 1095846]

Comment 3 Kurt Seifried 2014-05-31 01:15:37 UTC
Statement:

Red Hat Network Satellite 5 is now in Extended Life Cycle phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/site/support/policy/updates/satellite.

Comment 4 Fedora Update System 2014-07-28 03:24:54 UTC
cobbler-2.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-07-28 03:25:36 UTC
cobbler-2.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-07 11:47:53 UTC
cobbler-2.6.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.